Debian Bug report logs - #517074
manpages: ipv6(7) has wrong type for sockaddr_in6.sin6_family

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Teddy Hogeborn <teddy@recompile.se>

Date: Wed, 25 Feb 2009 13:12:03 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version manpages/3.05-1

Fixed in version manpages/3.20-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#517074; Package manpages. (Wed, 25 Feb 2009 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teddy Hogeborn <teddy@fukt.bsnet.se>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 25 Feb 2009 13:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teddy Hogeborn <teddy@fukt.bsnet.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: ipv6(7) has wrong type for sockaddr_in6.sin6_family
Date: Wed, 25 Feb 2009 14:09:01 +0100
[Message part 1 (text/plain, inline)]
Package: manpages
Version: 3.05-1
Severity: normal
Tags: patch


ipv6(7) has the wrong type for both the sin6_family and sin6_port
fields of the sockaddr_in6 struct.  Patch attached.

/Teddy Hogeborn

-- System Information:
Debian Release: 5.0
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

manpages depends on no packages.

manpages recommends no packages.

Versions of packages manpages suggests:
ii  man-db [man-browser]          2.5.2-4    on-line manual pager

-- no debconf information
[patch-ipv6.7 (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#517074; Package manpages. (Sat, 28 Feb 2009 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 28 Feb 2009 09:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 517074@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Teddy Hogeborn <teddy@fukt.bsnet.se>, 517074@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#517074: manpages: ipv6(7) has wrong type for sockaddr_in6.sin6_family
Date: Sat, 28 Feb 2009 22:49:14 +1300
tags 517074 fixed-upstream
thanks

On 2/26/09, Teddy Hogeborn <teddy@fukt.bsnet.se> wrote:
> Package: manpages
> Version: 3.05-1
> Severity: normal
> Tags: patch
>
> ipv6(7) has the wrong type for both the sin6_family and sin6_port
> fields of the sockaddr_in6 struct.  Patch attached.

Agreed.  The types shown on the page are the types used in the kernel,
but the man page should show the types defined by POSIX.  Your patch
is applied for upstream 3.20.

Thanks!

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Sat, 28 Feb 2009 09:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#517074; Package manpages. (Wed, 11 Mar 2009 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Mar 2009 00:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 517074@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: 517074@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>
Subject: Re: manpages: state encoding of iso-8859-* pages
Date: Wed, 11 Mar 2009 13:40:41 +1300
Hello Colin,

(I'm the upstream manpages maintainer, and I'm going to defer totally
to your judgement on what needs to be done here.)

In this report I see:

[[
> * Better solutions *
>
> In a second step, I tried to move the page iso_8859-* to a directory
> whose name tells what the encoding is (I typically move the
> iso_8859-15 page to a directory named "en.ISO8859-15/man7"). The pipeline
> seems to become better as we now obtain:

This is one approach, but a cleaner one would be to change the first
line of iso-8859-15.7.gz to:

  '\" t -*- coding: ISO-8859-15 -*-
]]

It looks like this is the only piece that applies for the man-pages
maintainer, right?

Am I correct to assume that there should be analogous changes in all
of the other iso_8859-*.7 pages, so that each such page specifies its
specific locale at the top?

Cheers,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#517074; Package manpages. (Wed, 11 Mar 2009 10:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Mar 2009 10:18:02 GMT) Full text and rfc822 format available.

Message #22 received at 517074@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: mtk.manpages@gmail.com
Cc: 517074@bugs.debian.org
Subject: Re: manpages: state encoding of iso-8859-* pages
Date: Wed, 11 Mar 2009 10:15:49 +0000
On Wed, Mar 11, 2009 at 01:40:41PM +1300, Michael Kerrisk wrote:
> (I'm the upstream manpages maintainer, and I'm going to defer totally
> to your judgement on what needs to be done here.)

:-)

> In this report I see:
> 
> [[
> > * Better solutions *
> >
> > In a second step, I tried to move the page iso_8859-* to a directory
> > whose name tells what the encoding is (I typically move the
> > iso_8859-15 page to a directory named "en.ISO8859-15/man7"). The pipeline
> > seems to become better as we now obtain:
> 
> This is one approach, but a cleaner one would be to change the first
> line of iso-8859-15.7.gz to:
> 
>   '\" t -*- coding: ISO-8859-15 -*-
> ]]
> 
> It looks like this is the only piece that applies for the man-pages
> maintainer, right?

That's correct.

There is one small downside: versions of man-db before 2.4.4 will
misparse this because they don't know to stop at the first space after
the "t", and spew some error messages but otherwise behave correctly.
This was released in 2007, though, and I don't think that there will be
any distributions that take the new manpages but don't take the new
man-db. (The old version of the alternative 'man' package that I have
lying around from 2001 doesn't suffer from this problem, so I think it
must be OK.)

> Am I correct to assume that there should be analogous changes in all
> of the other iso_8859-*.7 pages, so that each such page specifies its
> specific locale at the top?

Yes.

For your reference, here's a potted summary of the rules that reasonably
recent versions of man-db apply to manual page encoding. (man is much
less tolerant here; as I understand it, it basically has to be
configured to expect a single encoding for any given directory tree and
can't really cope with anything more complicated, so if I were you I'd
leave that problem to distributions shipping it.)

  * man-db will always attempt to decode a page as UTF-8 before anything
    else, since in practice text is only going to successfully decode as
    UTF-8 if it actually is UTF-8.

  * Explicitly declared encodings are used next if available, whether
    they're explicitly declared in a preprocessor line as above, or by
    means of installing the manual page into a directory such as
    /usr/share/man/en_GB.ISO-8859-15.

  * Every manual page hierarchy has a default legacy encoding which is
    tried next, usually that in which the vast majority of historical
    pages are encoded. For English, of course, that's ISO-8859-1.

  * Unless groff 1.20 is available, man-db effectively recodes the page
    to the legacy encoding before feeding it to groff, since older
    versions of groff can't deal with UTF-8 input. (The patches I just
    applied as a result of this bug cause man-db to only do this for
    UTF-8 pages, since recoding between legacy encodings is generally a
    mug's game.) In practice, this means that even if you encode your
    pages in UTF-8 you can only use those characters available in the
    appropriate legacy encoding; anything else will at best be
    approximated, perhaps badly.

I haven't yet been encouraging upstream maintainers to switch to
shipping manual pages in UTF-8 because I think there are still a number
of distributions that would have trouble dealing with that (although
most of the major distributions have switched, including Debian).
Declaring an explicit encoding for anything that isn't ISO-8859-1 or
UTF-8 is a good middle ground for the moment.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#517074; Package manpages. (Wed, 11 Mar 2009 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Mar 2009 18:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 517074@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Colin Watson <cjwatson@debian.org>, 517074@bugs.debian.org
Cc: edimitro@tee.gr
Subject: Re: Bug#517074: manpages: state encoding of iso-8859-* pages
Date: Thu, 12 Mar 2009 07:00:08 +1300
Hello Colin,

On Wed, Mar 11, 2009 at 11:15 PM, Colin Watson <cjwatson@debian.org> wrote:
> On Wed, Mar 11, 2009 at 01:40:41PM +1300, Michael Kerrisk wrote:
>> (I'm the upstream manpages maintainer, and I'm going to defer totally
>> to your judgement on what needs to be done here.)
>
> :-)
>
>> In this report I see:
>>
>> [[
>> > * Better solutions *
>> >
>> > In a second step, I tried to move the page iso_8859-* to a directory
>> > whose name tells what the encoding is (I typically move the
>> > iso_8859-15 page to a directory named "en.ISO8859-15/man7"). The pipeline
>> > seems to become better as we now obtain:
>>
>> This is one approach, but a cleaner one would be to change the first
>> line of iso-8859-15.7.gz to:
>>
>>   '\" t -*- coding: ISO-8859-15 -*-
>> ]]
>>
>> It looks like this is the only piece that applies for the man-pages
>> maintainer, right?
>
> That's correct.
>
> There is one small downside: versions of man-db before 2.4.4 will
> misparse this because they don't know to stop at the first space after
> the "t", and spew some error messages but otherwise behave correctly.
> This was released in 2007, though, and I don't think that there will be
> any distributions that take the new manpages but don't take the new
> man-db. (The old version of the alternative 'man' package that I have
> lying around from 2001 doesn't suffer from this problem, so I think it
> must be OK.)

Thanks for the info.

>> Am I correct to assume that there should be analogous changes in all
>> of the other iso_8859-*.7 pages, so that each such page specifies its
>> specific locale at the top?
>
> Yes.

Okay -- I've made the suggested changes for
iso_8859-{2,3,4,5,6,7,8,9,10,11,13,14,15,16}.7.  The changes will be
in upstream man-pages-3.20.

Since a couple of releases ago (man-pages-3.18, downloadable at
http://www.kernel.org/doc/man-pages/ ), we have a few other character
set pages in section 7.  These are:

armscii-8.7 (Armenian SCII)
cp1251.7
koi8-r.7 (Russian Net CS)
koi8-u.7 (Ukrainien Net CS)

Are analogous changes also needed for these?

> For your reference, here's a potted summary of the rules that reasonably
<snip>

Thanks for that detailed explanation!

Cheers,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#517074; Package manpages. (Wed, 11 Mar 2009 18:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Mar 2009 18:09:13 GMT) Full text and rfc822 format available.

Message #32 received at 517074@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Colin Watson <cjwatson@debian.org>, 517074@bugs.debian.org
Cc: edimitro@tee.gr
Subject: Re: Bug#517074: manpages: state encoding of iso-8859-* pages
Date: Thu, 12 Mar 2009 07:05:54 +1300
Colin,

Bother.  I see now that when I started this conversation with you, I
included the wrong bug number in the to field!
My apologies to the folks on bug

Debian Bug report logs - #517074
manpages: ipv6(7) has wrong type for sockaddr_in6.sin6_family
!

Cheers,

Michael

On Thu, Mar 12, 2009 at 7:00 AM, Michael Kerrisk
<mtk.manpages@googlemail.com> wrote:
> Hello Colin,
>
> On Wed, Mar 11, 2009 at 11:15 PM, Colin Watson <cjwatson@debian.org> wrote:
>> On Wed, Mar 11, 2009 at 01:40:41PM +1300, Michael Kerrisk wrote:
>>> (I'm the upstream manpages maintainer, and I'm going to defer totally
>>> to your judgement on what needs to be done here.)
>>
>> :-)
>>
>>> In this report I see:
>>>
>>> [[
>>> > * Better solutions *
>>> >
>>> > In a second step, I tried to move the page iso_8859-* to a directory
>>> > whose name tells what the encoding is (I typically move the
>>> > iso_8859-15 page to a directory named "en.ISO8859-15/man7"). The pipeline
>>> > seems to become better as we now obtain:
>>>
>>> This is one approach, but a cleaner one would be to change the first
>>> line of iso-8859-15.7.gz to:
>>>
>>>   '\" t -*- coding: ISO-8859-15 -*-
>>> ]]
>>>
>>> It looks like this is the only piece that applies for the man-pages
>>> maintainer, right?
>>
>> That's correct.
>>
>> There is one small downside: versions of man-db before 2.4.4 will
>> misparse this because they don't know to stop at the first space after
>> the "t", and spew some error messages but otherwise behave correctly.
>> This was released in 2007, though, and I don't think that there will be
>> any distributions that take the new manpages but don't take the new
>> man-db. (The old version of the alternative 'man' package that I have
>> lying around from 2001 doesn't suffer from this problem, so I think it
>> must be OK.)
>
> Thanks for the info.
>
>>> Am I correct to assume that there should be analogous changes in all
>>> of the other iso_8859-*.7 pages, so that each such page specifies its
>>> specific locale at the top?
>>
>> Yes.
>
> Okay -- I've made the suggested changes for
> iso_8859-{2,3,4,5,6,7,8,9,10,11,13,14,15,16}.7.  The changes will be
> in upstream man-pages-3.20.
>
> Since a couple of releases ago (man-pages-3.18, downloadable at
> http://www.kernel.org/doc/man-pages/ ), we have a few other character
> set pages in section 7.  These are:
>
> armscii-8.7 (Armenian SCII)
> cp1251.7
> koi8-r.7 (Russian Net CS)
> koi8-u.7 (Ukrainien Net CS)
>
> Are analogous changes also needed for these?
>
>> For your reference, here's a potted summary of the rules that reasonably
> <snip>
>
> Thanks for that detailed explanation!
>
> Cheers,
>
> Michael
>
> --
> Michael Kerrisk
> Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
> git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
> man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
> Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html
>



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#517074; Package manpages. (Wed, 11 Mar 2009 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to edimitro@tee.gr:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 11 Mar 2009 20:45:05 GMT) Full text and rfc822 format available.

Message #37 received at 517074@bugs.debian.org (full text, mbox):

From: Lefteris Dimitroulakis <edimitro@tee.gr>
To: mtk.manpages@gmail.com
Cc: Colin Watson <cjwatson@debian.org>, 517074@bugs.debian.org
Subject: Re: Bug#517074: manpages: state encoding of iso-8859-* pages
Date: Wed, 11 Mar 2009 23:04:05 +0200
Στις Wednesday 11 March 2009 20:00:08 ο/η Michael Kerrisk έγραψε:
> Hello Colin,
> 
> On Wed, Mar 11, 2009 at 11:15 PM, Colin Watson <cjwatson@debian.org> wrote:
> > On Wed, Mar 11, 2009 at 01:40:41PM +1300, Michael Kerrisk wrote:
> >> (I'm the upstream manpages maintainer, and I'm going to defer totally
> >> to your judgement on what needs to be done here.)
> >
> > :-)
> >
> >> In this report I see:
> >>
> >> [[
> >> > * Better solutions *
> >> >
> >> > In a second step, I tried to move the page iso_8859-* to a directory
> >> > whose name tells what the encoding is (I typically move the
> >> > iso_8859-15 page to a directory named "en.ISO8859-15/man7"). The pipeline
> >> > seems to become better as we now obtain:
> >>
> >> This is one approach, but a cleaner one would be to change the first
> >> line of iso-8859-15.7.gz to:
> >>
> >>   '\" t -*- coding: ISO-8859-15 -*-
> >> ]]
> >>
> >> It looks like this is the only piece that applies for the man-pages
> >> maintainer, right?
What about the translation of man pages?
Any how for a discussion with a similar content please have
a look around here:
http://mail.nl.linux.org/linux-utf8/2005-07/msg00006.html

regards
Lefteris





Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Sun, 26 Apr 2009 10:12:07 GMT) Full text and rfc822 format available.

Notification sent to Teddy Hogeborn <teddy@fukt.bsnet.se>:
Bug acknowledged by developer. (Sun, 26 Apr 2009 10:12:08 GMT) Full text and rfc822 format available.

Message #42 received at 517074-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 517074-close@bugs.debian.org
Subject: Bug#517074: fixed in manpages 3.20-1
Date: Sun, 26 Apr 2009 10:02:41 +0000
Source: manpages
Source-Version: 3.20-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.20-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.20-1_all.deb
manpages_3.20-1.diff.gz
  to pool/main/m/manpages/manpages_3.20-1.diff.gz
manpages_3.20-1.dsc
  to pool/main/m/manpages/manpages_3.20-1.dsc
manpages_3.20-1_all.deb
  to pool/main/m/manpages/manpages_3.20-1_all.deb
manpages_3.20.orig.tar.gz
  to pool/main/m/manpages/manpages_3.20.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517074@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Apr 2009 11:36:34 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.20-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 516677 517074 517485 519209 519230 520904
Changes: 
 manpages (3.20-1) unstable; urgency=low
 .
   * New upstream version
     . Add explicit character set encoding to first line of several
       manpages (closes: Bug#519209)
     . Fix type of 'offset' argument in seekdir(3) and return type in
       telldir (closes: Bug#519230)
     . Small fix to description in strftime(3) (closes: Bug#516677)
     . Fix 'argp' type for KDGETLED description in console_ioctl(4)
       (closes: Bug#517485)
     . Add description of /srv in hier(7) (closes: Bug#520904)
     . Fix types used to declare sin6_family and sin6_port in ipv6(7)
       (closes: Bug#517074)
   * Corrected fclose(3)
Checksums-Sha1: 
 03fa98f500d63bad215d1aa54ea840b1629157cf 964 manpages_3.20-1.dsc
 e85794d5f613f8d70ac83a92a626eb5ca91465af 1590787 manpages_3.20.orig.tar.gz
 4351e33a2116f749181a2386bace0dbe9d8cff00 48327 manpages_3.20-1.diff.gz
 a32965aaa7633303c2e96328ffaac652d6705cfa 713822 manpages_3.20-1_all.deb
 4b5211c2297342a64a420bd24e9883c40490919a 1555264 manpages-dev_3.20-1_all.deb
Checksums-Sha256: 
 74704b80b6472549572e3903f850ebd6b73f2576e5cb9daf9d4cb81f6cffea26 964 manpages_3.20-1.dsc
 4351a0537c7d05f23e1c17f99b62e4b75d1d81a9c99347821bca0bbb5794ed09 1590787 manpages_3.20.orig.tar.gz
 010a879e44692acea4d7ef103ad0e340863799d2511d14a8f86e7a518f68e9c4 48327 manpages_3.20-1.diff.gz
 75a576115a5ccd8f8624171507ab736d831161b0b850ab7fd9435d62c8d91c43 713822 manpages_3.20-1_all.deb
 f84b168719f293efaccfc379bd0f07313efe23b7b9f732ef01fab409386b8a65 1555264 manpages-dev_3.20-1_all.deb
Files: 
 676509b49bc7740897adb400d2c8c802 964 doc important manpages_3.20-1.dsc
 2df4c07be521ef7c2579eeaae677ad8c 1590787 doc important manpages_3.20.orig.tar.gz
 e7791092c3a2b721b36f75ca21a4d23a 48327 doc important manpages_3.20-1.diff.gz
 18d26a0f0bd2b5c8eed4aeeba3421abd 713822 doc important manpages_3.20-1_all.deb
 696caf409bc48e9193d395f08ae4696f 1555264 doc optional manpages-dev_3.20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJ9CvOW5ql+IAeqTIRArxjAKCFOzN3tWq2Ajij6sjBryP+Ne4i9ACfQ6dy
4zmFH3XqZqqRy2gbVfu6E+w=
=/jco
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 May 2009 07:38:24 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Teddy Hogeborn <teddy@recompile.se> to control@bugs.debian.org. (Mon, 10 Oct 2011 08:05:20 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Teddy Hogeborn <teddy@recompile.se>' from 'Teddy Hogeborn <teddy@fukt.bsnet.se>' Request was from Teddy Hogeborn <teddy@recompile.se> to control@bugs.debian.org. (Mon, 10 Oct 2011 08:05:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Teddy Hogeborn <teddy@recompile.se> to control@bugs.debian.org. (Mon, 10 Oct 2011 08:05:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:13:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.